> ## Documentation Index
> Fetch the complete documentation index at: https://developers.plane.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a customer property

> Updates an existing customer property definition by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

## Path parameters

<ParamField path="workspace_slug" type="string" required>
  The workspace\_slug represents the unique workspace identifier for a workspace in Plane. It can be found in the URL. For example, in the URL `https://app.plane.so/my-team/projects/`, the workspace slug is `my-team`.
</ParamField>

<ParamField path="property_id" type="string" required>
  The unique identifier for the customer property.
</ParamField>

## Body parameters

<ParamField body="name" type="string">
  Name of the property.
</ParamField>

<ParamField body="display_name" type="string">
  Display name of the property.
</ParamField>

<ParamField body="description" type="string">
  Description of the property.
</ParamField>

<ParamField body="property_type" type="string">
  Type of the property.
</ParamField>

<ParamField body="relation_type" type="string">
  Relation type of the property.
</ParamField>

<ParamField body="is_required" type="boolean">
  Whether the property is required.
</ParamField>

<ParamField body="is_multi" type="boolean">
  Whether the property supports multiple values.
</ParamField>

<ParamField body="is_active" type="boolean">
  Whether the property is active.
</ParamField>

<ParamField body="sort_order" type="number">
  Sort order for the property.
</ParamField>

<ParamField body="default_value" type="string[]">
  Default values for the property.
</ParamField>

<ParamField body="settings" type="object">
  Settings for the property.
</ParamField>

<ParamField body="validation_rules" type="object">
  Validation rules for the property.
</ParamField>

<ParamField body="logo_props" type="object">
  Logo properties for the property.
</ParamField>

<ParamField body="external_source" type="string">
  External source identifier.
</ParamField>

<ParamField body="external_id" type="string">
  External ID from the external source.
</ParamField>
